%define upstream_name    Authen-Captcha
%define upstream_version 1.024

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl extension for creating captcha's to verify the human element in transactions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(GD)
BuildRequires: perl(String::Random)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.24.0-9.mga10
+ Revision: 2213395
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 1.24.0-8.mga9
+ Revision: 1838371
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.24.0-7.mga8
+ Revision: 1492833
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.24.0-6.mga7
+ Revision: 1265709
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.24.0-5.mga6
+ Revision: 1022607
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.24.0-4.mga6
+ Revision: 936556
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.24.0-3.mga5
+ Revision: 741540
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.24.0-2.mga5
+ Revision: 683567
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 1.24.0-1.mga5
+ Revision: 602835
- update to 1.024

* Fri Oct 18 2013 umeabot <umeabot> 1.23.0-3.mga4
+ Revision: 509300
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.23.0-2.mga3
+ Revision: 363237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 19 2012 kharec <kharec> 1.23.0-1.mga3
+ Revision: 261901
- imported package perl-Authen-Captcha


* Tue Jun 19 2012 cpan2dist 1.023-1mga
- initial mageia release, generated with cpan2dist
